Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154206 - Disabling DEBUG_PAGEALLOC cripples network
Summary: Disabling DEBUG_PAGEALLOC cripples network
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 12:55 UTC by nick_smith67
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 22:16:48 UTC


Attachments (Terms of Use)

Description nick_smith67 2005-04-08 12:55:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Multiple symptoms of poor/erratic network performance and failure
                                                                                
1) Pinging default gateway - 25-50% packet loss, clusters of 4-5 RTT's in excess of 5sec. During periods of long RTT, top shows significant ksoftirqd CPU utilization. Eventually, no response from gateway at all (a few "destination unreachable" - or similar type responses from eth0's address). A "service network restart" brings it back again, but erratic ping performance is still there. No obvious
errors logged.
                                                                                
2) Most websites load slowly if at all
                                                                                
3) Tools such as yum report multiple socket timeouts irrespective of destination. Download streams frequently pause for long periods if they work at all
                                                                                
Re-enabling DEBUG_PAGEALLOC causes the network to behave normally

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1225_FC4 and later

How reproducible:
Always

Steps to Reproduce:
1.Boot kernel-smp-2.6.11-1.1225_FC4 or later patched with vendor driver
2.
3.
  

Actual Results:  Network became effectively useless

Expected Results:  Network works

Additional info:

Motherboard is an Asus P5AD2-E Premium which comes with onboard Marvell PCIe 88E8053. The sk98lin driver shipped with the kernel does not work with this chip which it does not seem to recognize. The new skge driver currently being developed in net-dev doesn't work either, so it is necessary to use a vendor provided sk98lin driver (http://www.syskonnect.com/syskonnect/support/driver/zip/linux/install-8_15.tar.bz2) with a minor patch to make it use pci_name instead of slot_name

Comment 1 Dave Jones 2005-04-11 22:16:48 UTC
sounds like an issue you need to take up with the driver authors.
This way it'll hopefully get fixed up before it hits Linus' tree (and
subsequently Fedora).


Note You need to log in before you can comment on or make changes to this bug.